<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="agenda">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="propietari" type="tipopersona" >

                </xs:element>
                <xs:element name="contactes">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="contacte" type="tipopersona" maxOccurs="unbounded"/>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
            <xs:attribute name="any" type="xs:positiveInteger"></xs:attribute>
        </xs:complexType>
    </xs:element>
    <xs:complexType name="tipopersona" >
        <xs:sequence>
            <xs:element name="nom" type="xs:string"></xs:element>
            <xs:element name="telefon" type="xs:integer" minOccurs="0"></xs:element>
            <xs:element name="email" type="xs:string"></xs:element>
        </xs:sequence>
    </xs:complexType>
    
</xs:schema>